package com.xintong.visualinspection.dao.master;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.Constant;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface ConstantDao  {
    public List<Constant> getAll();
    public Constant getOne(Long id);
    public void insert(Constant constant);
    public void update(Constant constant);
    public void delete(Long id);
    public List<Constant> getByFlag(String flag);
    public Constant getByFlagAndValue(Constant constant);
    public List<Constant> getByName(String flagName);
}
